// Copyright 1999 Macromedia, Inc. All rights reserved.

//---------------     API FUNCTIONS    ---------------

function isDOMRequired() { 
	// Return false, indicating that this object is available in code view.
	return false;
}

function isAsset() {
	return true;
}

function objectTag(assetArgs) {
  var bDialogState = dw.getShowDialogsOnInsert(); // Was dialog shown?
  var newURL = dw.doURLEncoding(browseForFileURL("select", "", true));
  
  if (assetArgs)
  	newURL = assetArgs;
  if ((newURL == '')  && bDialogState) {  return ''; }
  return '<img src="' + newURL + '">';
}
